List competing offers for a currency offer
curl --request GET \
--url https://api.gameboost.com/v2/currency-offers/{currencyOffer}/other-offers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gameboost.com/v2/currency-offers/{currencyOffer}/other-offers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gameboost.com/v2/currency-offers/{currencyOffer}/other-offers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 123,
"currency_unit": {
"slug": "<string>",
"currency_name": "<string>",
"name": "<string>",
"symbol": "<string>",
"multiplier": 123
},
"seller": {
"id": 123,
"username": "<string>"
},
"stock": 123,
"min_quantity": 123,
"delivery_time": {
"duration": 123,
"format": "<string>",
"format_long": "<string>",
"seconds": 123
},
"delivery_method_data": {},
"base_currency": "EUR",
"price_eur": "<string>",
"price_usd": "<string>"
}
]
}{
"message": "Unauthenticated."
}{
"message": "This action is unauthorized."
}{
"message": "Resource not found."
}{
"message": "Too many requests."
}Currency Offers
List competing offers for a currency offer
Retrieve a list of other sellers’ currency offers competing for the same product.
GET
/
v2
/
currency-offers
/
{currencyOffer}
/
other-offers
List competing offers for a currency offer
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the currency offer. Can be retrieved from the list of currency offers.
Response
Competing currency offers (other sellers) for the same game and grouping
Show child attributes
Show child attributes
Was this page helpful?
⌘I